View Issue Details

IDProjectCategoryView StatusLast Update
0005102SymmetricDSBugpublic2021-11-17 16:00
Reportergilles.riand Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.11 
Target Version3.13.0Fixed in Version3.13.0 
Summary0005102: Interbase Table SYM_TEMP_CONTEXT
DescriptionHello

I think that fields for Table SYM_TEMP_CONTEXT are too small because, we can have a varchar(50), but it's only varcha(r30) as you can see below.
Because it's a node (no ?)

So every triggers are impacted

[code]
CREATE trigger sym_on_d_for_sym_trggr_mgs for sym_trigger
active after delete position 0

as
declare variable NAME integer;
declare variable SYNC_TRIGGERS_DISABLED varchar(30);
declare variable SYNC_NODE_DISABLED varchar(30);
begin
  select CONTEXT_VALUE
  from SYM_TEMP_CONTEXT
  where NAME = 'sync_triggers_disabled'
  into :SYNC_TRIGGERS_DISABLED;
  if (1 = 1 and
      1 = 1) then
  begin
    select CONTEXT_VALUE
    from SYM_TEMP_CONTEXT
    where NAME = 'sync_node_disabled'
    into :SYNC_NODE_DISABLED;
    select gen_id(GEN_SYM_DATA_DATA_ID, 1)
    from RDB$DATABASE
    into :NAME;
    insert into SYM_DATA (DATA_ID, TABLE_NAME, EVENT_TYPE, TRIGGER_HIST_ID, PK_DATA, OLD_DATA, CHANNEL_ID,
                          TRANSACTION_ID, SOURCE_NODE_ID, EXTERNAL_DATA, CREATE_TIME)
    values (:NAME, 'sym_trigger', 'D', 415,
            case when old."TRIGGER_ID" is null then '' else '"' || SYM_ESCAPE(old."TRIGGER_ID") || '"' end, null,
            'config', null, :SYNC_NODE_DISABLED, null, current_timestamp);
  end
end
[code]
Tagsdialect: interbase, interbase

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.13 499b106b

2021-10-26 12:19:34

admin

Details Diff
0005102: sync_node_disabled variable varchar(50) Affected Issues
0005102
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/interbase/InterbaseTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2021-10-15 09:08 gilles.riand New Issue
2021-10-15 09:08 gilles.riand Tag Attached: interbase
2021-10-26 12:20 elong Assigned To => elong
2021-10-26 12:20 elong Status new => resolved
2021-10-26 12:20 elong Resolution open => fixed
2021-10-26 12:20 elong Fixed in Version => 3.13.0
2021-10-26 12:20 elong Target Version => 3.13.0
2021-10-26 12:20 elong Tag Attached: dialect: interbase
2021-10-26 12:21 elong Project SymmetricDS Pro => SymmetricDS
2021-10-26 13:00 admin Changeset attached => SymmetricDS 3.13 499b106b
2021-11-17 16:00 admin Status resolved => closed